<?php

namespace common\logic\PointSale\PointSale;

use common\logic\BaseService;
use common\logic\RepositoryInterface;

class DeliveryNoteRepository extends BaseService implements RepositoryInterface
{
    public function defaultOptionsSearch(): array
    {
        return [
            'with' => [],
            'join_with' => ['user AS user_delivery_note', 'producer'],
            'orderby' => 'date ASC',
            'attribute_id_producer' => 'delivery_note.id_producer'
        ];
    }
}