<?php

namespace common\logic\Order\Order;

use common\logic\BaseManager;
use common\logic\Config\TaxRate\TaxRate;
use common\logic\Distribution\Distribution\Distribution;
use common\logic\Document\Document\Document;
use common\logic\Order\ProductOrder\ProductOrder;
use common\logic\Producer\Producer\Producer;
use common\logic\Product\Product\Product;
use common\logic\Subscription\Subscription\Subscription;
use common\logic\User\User\User;
use yii\db\Query;

/**
 * @mixin OrderSolver
 * @mixin OrderRepository
 * @mixin OrderBuilder
 */
class OrderManager extends BaseManager
{
    public function __construct()
    {
        $this->setContainer(new OrderContainer());
    }
}