<?php

namespace common\logic\Product\ProductPrice;

use common\logic\BaseService;
use common\logic\RepositoryInterface;

class ProductPriceRepository extends BaseService implements RepositoryInterface
{
    /**
     * Retourne les options de base nécessaires à la fonction de recherche.
     */
    public function defaultOptionsSearch(): array
    {
        return [
            'with' => ['user', 'pointSale'],
            'join_with' => ['product'],
            'orderby' => '',
            'attribute_id_producer' => 'product.id_producer'
        ];
    }
}