<?php

namespace common\logic\User\UserProducer;

use common\logic\ContainerInterface;

class UserProducerContainer implements ContainerInterface
{
    public function getEntityFqcn(): string
    {
        return UserProducer::class;
    }

    public function getServices(): array
    {
        return [
            UserProducerRepository::class,
            UserProducerBuilder::class,
        ];
    }

    public function getRepository(): UserProducerRepository
    {
        return new UserProducerRepository();
    }

    public function getBuilder(): UserProducerBuilder
    {
        return new UserProducerBuilder();
    }
}